Bug 1083654 - linphone crashes when trying to open Preferences
linphone crashes when trying to open Preferences
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Alexei Sorokin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-02 09:31 UTC by Stefan Haas
Modified: 2018-08-13 20:00 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Haas 2018-03-02 09:31:58 UTC
Linphone crashes when trying to open the preferences screen

Ouput:

[10:29:01:147][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:106: "Use locale: en"
[10:29:01:165][0x55ec5de4a780][Info]:0: "Running app..."
[10:29:01:165][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:170: "Library paths:" ("/usr/lib64/qt5/plugins", "/usr/bin")
[10:29:01:165][0x55ec5df56330][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/components/core/CoreManager.cpp:200: "Launch async linphone core creation."
[10:29:01:167][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:181: "Activated selectors:" ("custom", "de_DE", "unix", "linux", "opensuse")
[10:29:01:167][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:355: "Registering types..."
[10:29:01:167][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:389: "Registering shared types..."
[10:29:01:167][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:401: "Registering tool types..."
[10:29:01:167][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:409: "Registering shared tool types..."
[10:29:01:217][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:134: "Open splash screen..."
[10:29:01:246][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:213: "Loading main view..."
[10:29:01:326][0x55ec5df56330][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/components/core/CoreManager.cpp:170: "Set `Friends` path: `/home/stefan/.local/share/linphone/friends.db`"
[10:29:01:327][0x55ec5df56330][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/components/core/CoreManager.cpp:171: "Set `CallLogs` path: `/home/stefan/.local/share/linphone/call-history.db`"
[10:29:01:327][0x55ec5df56330][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/components/core/CoreManager.cpp:172: "Set `Chat` path: `/home/stefan/.local/share/linphone/message-history.db`"
[10:29:01:334][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/components/core/CoreManager.cpp:49: "Core created. Enable iterate."
[10:29:01:334][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/components/core/CoreHandlers.cpp:73: "Core started."
[10:29:01:334][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/components/core/MessagesCountNotifier.cpp:64: "Notify unread messages count: 0."
[10:29:01:525][0x55ec5de4a780][Info]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:506: "Open linphone app."
[10:29:04:151][0x55ec5de4a780][Warning]/home/abuild/rpmbuild/BUILD/linphoneqt-4.1.1/src/app/App.cpp:120: (qrc:/ui/views/App/Settings/SettingsWindow.qml:50:9: Type TabButton unavailable, qrc:///ui/modules/Common/Form/Tab/TabButton.qml:15:3: Cannot override FINAL property)

Installed version of linphone: 4.1.1-2.4

Running on openSUSE Tumbleweed snapshot 20180227
Comment 1 Alexei Sorokin 2018-03-08 15:48:04 UTC
https://build.opensuse.org/request/show/584478 – that should take care of that.
Comment 2 Marcel Weißenbach 2018-08-02 19:36:08 UTC
This issue still persists with openSUSE Tumbleweed right now

[21:34:23:852][0x55ef1732fa20][Warning]:0: QQmlComponent: Component is not ready
Comment 3 Marcel Weißenbach 2018-08-02 19:36:46 UTC
Oh wait, sorry, this is a different issue, it just causes the same outcome... should i open a new Bugreport?
Comment 4 Alexei Sorokin 2018-08-02 19:45:07 UTC
Marcel, does it happen during start-up?
Comment 5 Marcel Weißenbach 2018-08-02 20:01:07 UTC
It happens when opening the preferences menu (what you need to do to setup an SIP account), until then, everything works fine.

So the Application does start, CTRL+P (which sould open the Preferences menu) or running the assistant for new accounts will cause it to crash.
Comment 6 Alexei Sorokin 2018-08-02 20:04:38 UTC
Marcel, sorry, I made the comment too quickly.
https://build.opensuse.org/request/show/627162 this should take care of it.
Comment 7 Marcel Weißenbach 2018-08-02 20:15:07 UTC
Awesome! Thank you very much, i did not even expected an reply today and the fixed package is already building!

That is some awesome community, thank you again for your time and work /)
Comment 8 Alexei Sorokin 2018-08-02 20:28:34 UTC
Marcel, you're welcome (\
I've noticed some more upstream fixes for Qt 5.10 and 5.11, thus the previous submit request has been superseded by this one: https://build.opensuse.org/request/show/627176
Comment 9 Swamp Workflow Management 2018-08-05 19:10:05 UTC
This is an autogenerated message for OBS integration:
This bug (1083654) was mentioned in
https://build.opensuse.org/request/show/627544 15.0 / linphoneqt
Comment 10 Swamp Workflow Management 2018-08-13 20:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1083654) was mentioned in
https://build.opensuse.org/request/show/629069 15.0 / linphoneqt